Last modified: 2014-05-16 17:52:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 17367 - Ajaxify the "watch" links on Special:Unwatchedpages
Ajaxify the "watch" links on Special:Unwatchedpages
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.14.x
All All
: Low enhancement (vote)
: 1.24.0 release
Assigned To: Eran Roz
:
Depends on:
Blocks: javascript ajax
  Show dependency treegraph
 
Reported: 2009-02-05 14:15 UTC by Danny B.
Modified: 2014-05-16 17:52 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---
matma.rex: Backport_to_Stable-


Attachments

Description Danny B. 2009-02-05 14:15:51 UTC
The "watch" links on Special:Unwatchedpages should use the AJAX watch feature so one does not have to load the add-to-watchlist page and then click back to get back to the list.
Comment 1 Eran Roz 2012-04-30 19:21:14 UTC
I have implemented it:
https://gerrit.wikimedia.org/r/6143

(For non JavaScript browser it has the same functionality as before)
Comment 2 Andre Klapper 2013-07-25 08:04:44 UTC
Patch in Gerrit needs rework according to -1.
Comment 3 Gerrit Notification Bot 2013-09-18 04:07:01 UTC
Change 6143 had a related patch set uploaded by Krinkle:
ajaxify watch links on SpecialUnwatchedpages.

https://gerrit.wikimedia.org/r/6143
Comment 4 Mark A. Hershberger 2014-05-09 15:54:21 UTC
Updated gerrit with a request to get the fix finalized this week.  Otherwise we'll have to push it off.
Comment 5 Bartosz Dziewoński 2014-05-16 17:26:17 UTC
Do we still want to backport to 1.23?
Comment 6 Mark A. Hershberger 2014-05-16 17:38:57 UTC
(In reply to Bartosz Dziewoński from comment #5)
> Do we still want to backport to 1.23?

If so, someone needs to create a patch.  It didn't cleanly cherry-pick.
Comment 7 Bartosz Dziewoński 2014-05-16 17:52:41 UTC
Let's not.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links